html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
    margin-bottom: 60px;
    background-color: black;
    color: darkgray;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

.link {
    background-color: darkgreen /*darkblue*/;
    filter: brightness(100%);
    border: 1px solid darkgreen;
    border-radius: 4px;
    padding-left: 10px;
    padding-right: 10px;
    font-size: inherit;
    color: white;
    display: inline-block;
    /*cursor: pointer;*/
}

.linkdanger {
    background-color: red;
    filter: brightness(100%);
    border: 1px solid red;
    border-radius: 4px;
    padding-left: 10px;
    padding-right: 10px;
    font-size: inherit;
    color: white;
    display: inline-block;
    text-decoration: none;
}

.linktab {
    background-color: darkslategrey;
    filter: brightness(100%);
    border: 1px solid darkslategray;
    border-radius: 3px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: smaller;
    color: white;
    display: inline-block;
}

.linktabdanger {
    background-color: red;
    filter: brightness(100%);
    border: 1px solid red;
    border-radius: 3px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: smaller;
    color: white;
    display: inline-block;
    text-decoration: none;
}

a {
    color: magenta;
    display: inline-block;
    text-decoration: none;
}

.outer {
    border: solid 1px magenta;
    width: auto;
    overflow: auto;
}

.inner {
    padding: 2px;
    height: auto;
    width: auto;
}
